# Module `resty.session.file-thread`

File storage backend worker thread module

## Functions

set (path, content) | Store data in file.
get (path) | Read data from a file.
delete (path) | Delete a file.

## Functions

set (path, content)
  Store data in file.

  ### Parameters:

  - path string

         file path

  - content string file content

  ### Returns:

  1. true or nil ok
  2. string error message
get (path)
  Read data from a file.

  ### Parameters:

  - path string file to read

  ### Returns:

  1. string or nil content
  2. string error message
delete (path)
  Delete a file.

  ### Parameters:

  - path string file to read

  ### Returns:

  1. string or nil ok
  2. string error message

generated by LDoc 1.4.6 Last updated 2022-12-23 14:06:58